petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCShellSetDestroy

Sets routine to use to destroy the user-provided application context.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetDestroy(PC pc,PetscErrorCode (*destroy)(PC))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| destroy | - the application-provided destroy routine

### Calling sequence of destroy

       PetscErrorCode destroy (PC)

| ptr | - the application context

Notes: the function MUST return an error code of 0 on success and nonzero on failure.

### Keywords

PC, shell, set, destroy, user-provided

### See Also

PCShellSetApply(), PCShellSetContext()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html